summaryrefslogtreecommitdiffstats
path: root/third_party/rust/wasmparser/compare-with-main.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 14:29:10 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 14:29:10 +0000
commit2aa4a82499d4becd2284cdb482213d541b8804dd (patch)
treeb80bf8bf13c3766139fbacc530efd0dd9d54394c /third_party/rust/wasmparser/compare-with-main.sh
parentInitial commit. (diff)
downloadfirefox-2aa4a82499d4becd2284cdb482213d541b8804dd.tar.xz
firefox-2aa4a82499d4becd2284cdb482213d541b8804dd.zip
Adding upstream version 86.0.1.upstream/86.0.1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'third_party/rust/wasmparser/compare-with-main.sh')
-rwxr-xr-xthird_party/rust/wasmparser/compare-with-main.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/third_party/rust/wasmparser/compare-with-main.sh b/third_party/rust/wasmparser/compare-with-main.sh
new file mode 100755
index 0000000000..eed367bfab
--- /dev/null
+++ b/third_party/rust/wasmparser/compare-with-main.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+set -e
+
+# switch to main branch and record its bench results
+git checkout main && \
+cargo bench --bench benchmark -- --noplot --save-baseline before
+
+# record current bench results
+git checkout - && \
+cargo bench --bench benchmark -- --noplot --baseline before